//go:build unix && (!darwin)
package registrar

import "os"
import "log"
import "git.tebibyte.media/tomo/backend/x"
import "git.tebibyte.media/tomo/tomo"
import "git.tebibyte.media/tomo/nasin/internal/theme/icons/xdg"
import "git.tebibyte.media/tomo/nasin/internal/theme/icons/fallback"
import "git.tebibyte.media/tomo/nasin/internal/theme/style/fallback"

func Init () error {
	theme := fallbackStyle.New()
	
	iconThemeName := os.Getenv("TOMO_XDG_ICON_THEME")
	if iconThemeName != "" {
		iconTheme, err := xdgIcons.FindThemeWarn(iconThemeName, theme.IconTheme)
		if err == nil {
			theme.IconTheme = iconTheme
		} else {
			log.Printf("nasin: could not load icon theme '%s': %v", iconThemeName, err)
		}
	}

	if theme.IconTheme == nil {
		theme.IconTheme = fallbackIcons.New()
	}
	
	tomo.SetTheme(theme)
	tomo.Register(1, x.New)
	return nil
}
